
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR__TMR_2_H_
#define _CSLR__TMR_2_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 PID12;
    volatile Uint32 EMUMGTCLKSPD;
    volatile Uint32 GPINTGPEN;
    volatile Uint32 GPDATGPDIR;
    volatile Uint32 TIM12;
    volatile Uint32 TIM34;
    volatile Uint32 PRD12;
    volatile Uint32 PRD34;
    volatile Uint32 TCR;
    volatile Uint32 TGCR;
    volatile Uint32 WDTCR;
    volatile Uint32 TLGC;
    volatile Uint32 TLMR;
    volatile Uint32 REL12;
    volatile Uint32 REL34;
    volatile Uint32 CAP12;
    volatile Uint32 CAP34;
    volatile Uint32 INTCTLSTAT;
    volatile Uint8 RSVD0[24];
    volatile Uint32 CMP0;
    volatile Uint32 CMP1;
    volatile Uint32 CMP2;
    volatile Uint32 CMP3;
    volatile Uint32 CMP4;
    volatile Uint32 CMP5;
    volatile Uint32 CMP6;
    volatile Uint32 CMP7;
} CSL_TmrRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* PID12 */

#define CSL_TIMER64P_PID12_SCHEME_MASK (0xC0000000u)
#define CSL_TIMER64P_PID12_SCHEME_SHIFT (0x0000001Eu)
#define CSL_TIMER64P_PID12_SCHEME_RESETVAL (0x00000001u)

#define CSL_TIMER64P_PID12_FUNC_MASK (0x0FFF0000u)
#define CSL_TIMER64P_PID12_FUNC_SHIFT (0x00000010u)
#define CSL_TIMER64P_PID12_FUNC_RESETVAL (0x00000472u)

#define CSL_TIMER64P_PID12_RTL_MASK (0x0000F800u)
#define CSL_TIMER64P_PID12_RTL_SHIFT (0x0000000Bu)
#define CSL_TIMER64P_PID12_RTL_RESETVAL (0x00000000u)

#define CSL_TIMER64P_PID12_MAJOR_MASK (0x00000700u)
#define CSL_TIMER64P_PID12_MAJOR_SHIFT (0x00000008u)
#define CSL_TIMER64P_PID12_MAJOR_RESETVAL (0x00000002u)

#define CSL_TIMER64P_PID12_CUSTOM_MASK (0x000000C0u)
#define CSL_TIMER64P_PID12_CUSTOM_SHIFT (0x00000006u)
#define CSL_TIMER64P_PID12_CUSTOM_RESETVAL (0x00000000u)

#define CSL_TIMER64P_PID12_MINOR_MASK (0x0000003Fu)
#define CSL_TIMER64P_PID12_MINOR_SHIFT (0x00000000u)
#define CSL_TIMER64P_PID12_MINOR_RESETVAL (0x0000000Cu)

#define CSL_TIMER64P_PID12_RESETVAL (0x4472020Cu)

/* EMUMGTCLKSPD */


#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_MASK (0x000F0000u)
#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_SHIFT (0x00000010u)
#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_RESETVAL (0x00000000u)
/*----VBUSCR Tokens----*/
#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_BYPASS (0x00000000u)
#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_DIVBY1 (0x00000001u)
#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_DIVBY2 (0x00000002u)
#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_DIVBY4 (0x00000004u)
#define CSL_TIMER64P_EMUMGTCLKSPD_VBUSCR_DIVBY8 (0x00000008u)


#define CSL_TIMER64P_EMUMGTCLKSPD_SOFT_MASK (0x00000002u)
#define CSL_TIMER64P_EMUMGTCLKSPD_SOFT_SHIFT (0x00000001u)
#define CSL_TIMER64P_EMUMGTCLKSPD_SOFT_RESETVAL (0x00000000u)

#define CSL_TIMER64P_EMUMGTCLKSPD_FREE_MASK (0x00000001u)
#define CSL_TIMER64P_EMUMGTCLKSPD_FREE_SHIFT (0x00000000u)
#define CSL_TIMER64P_EMUMGTCLKSPD_FREE_RESETVAL (0x00000000u)

#define CSL_TIMER64P_EMUMGTCLKSPD_RESETVAL (0x00000000u)

/* GPINTGPEN */


#define CSL_TIMER64P_GPINTGPEN_GPENO34_MASK (0x02000000u)
#define CSL_TIMER64P_GPINTGPEN_GPENO34_SHIFT (0x00000019u)
#define CSL_TIMER64P_GPINTGPEN_GPENO34_RESETVAL (0x00000000u)
/*----GPENO34 Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPENO34_TIMER (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPENO34_GPIO (0x00000001u)

#define CSL_TIMER64P_GPINTGPEN_GPENI34_MASK (0x01000000u)
#define CSL_TIMER64P_GPINTGPEN_GPENI34_SHIFT (0x00000018u)
#define CSL_TIMER64P_GPINTGPEN_GPENI34_RESETVAL (0x00000000u)
/*----GPENI34 Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPENI34_TIMER (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPENI34_GPIO (0x00000001u)


#define CSL_TIMER64P_GPINTGPEN_GPENO12_MASK (0x00020000u)
#define CSL_TIMER64P_GPINTGPEN_GPENO12_SHIFT (0x00000011u)
#define CSL_TIMER64P_GPINTGPEN_GPENO12_RESETVAL (0x00000000u)
/*----GPENO12 Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPENO12_TIMER (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPENO12_GPIO (0x00000001u)

#define CSL_TIMER64P_GPINTGPEN_GPENI12_MASK (0x00010000u)
#define CSL_TIMER64P_GPINTGPEN_GPENI12_SHIFT (0x00000010u)
#define CSL_TIMER64P_GPINTGPEN_GPENI12_RESETVAL (0x00000000u)
/*----GPENI12 Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPENI12_TIMER (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPENI12_GPIO (0x00000001u)


#define CSL_TIMER64P_GPINTGPEN_GPINT34INVO_MASK (0x00002000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVO_SHIFT (0x0000000Du)
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVO_RESETVAL (0x00000000u)
/*----GPINT34INVO Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVO_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVO_ENABLE (0x00000001u)

#define CSL_TIMER64P_GPINTGPEN_GPINT34INVI_MASK (0x00001000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVI_SHIFT (0x0000000Cu)
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVI_RESETVAL (0x00000000u)
/*----GPINT34INVI Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVI_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34INVI_ENABLE (0x00000001u)


#define CSL_TIMER64P_GPINTGPEN_GPINT34ENO_MASK (0x00000200u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENO_SHIFT (0x00000009u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENO_RESETVAL (0x00000000u)
/*----GPINT34ENO Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENO_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENO_ENABLE (0x00000001u)

#define CSL_TIMER64P_GPINTGPEN_GPINT34ENI_MASK (0x00000100u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENI_SHIFT (0x00000008u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENI_RESETVAL (0x00000000u)
/*----GPINT34ENI Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENI_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT34ENI_ENABLE (0x00000001u)


#define CSL_TIMER64P_GPINTGPEN_GPINT12INVO_MASK (0x00000020u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVO_SHIFT (0x00000005u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVO_RESETVAL (0x00000000u)
/*----GPINT12INVO Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVO_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVO_ENABLE (0x00000001u)

#define CSL_TIMER64P_GPINTGPEN_GPINT12INVI_MASK (0x00000010u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVI_SHIFT (0x00000004u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVI_RESETVAL (0x00000000u)
/*----GPINT12INVI Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVI_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12INVI_ENABLE (0x00000001u)


#define CSL_TIMER64P_GPINTGPEN_GPINT12ENO_MASK (0x00000002u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENO_SHIFT (0x00000001u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENO_RESETVAL (0x00000000u)
/*----GPINT12ENO Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENO_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENO_ENABLE (0x00000001u)

#define CSL_TIMER64P_GPINTGPEN_GPINT12ENI_MASK (0x00000001u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENI_SHIFT (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENI_RESETVAL (0x00000000u)
/*----GPINT12ENI Tokens----*/
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENI_DISABLE (0x00000000u)
#define CSL_TIMER64P_GPINTGPEN_GPINT12ENI_ENABLE (0x00000001u)

#define CSL_TIMER64P_GPINTGPEN_RESETVAL (0x00000000u)

/* GPDATGPDIR */


#define CSL_TIMER64P_GPDATGPDIR_GPDIRO34_MASK (0x02000000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO34_SHIFT (0x00000019u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO34_RESETVAL (0x00000000u)
/*----GPDIRO34 Tokens----*/
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO34_INPUT (0x00000000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO34_OUTPUT (0x00000001u)

#define CSL_TIMER64P_GPDATGPDIR_GPDIRI34_MASK (0x01000000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI34_SHIFT (0x00000018u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI34_RESETVAL (0x00000000u)
/*----GPDIRI34 Tokens----*/
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI34_INPUT (0x00000000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI34_OUTPUT (0x00000001u)


#define CSL_TIMER64P_GPDATGPDIR_GPDIRO12_MASK (0x00020000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO12_SHIFT (0x00000011u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO12_RESETVAL (0x00000000u)
/*----GPDIRO12 Tokens----*/
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO12_INPUT (0x00000000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRO12_OUTPUT (0x00000001u)

#define CSL_TIMER64P_GPDATGPDIR_GPDIRI12_MASK (0x00010000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI12_SHIFT (0x00000010u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI12_RESETVAL (0x00000000u)
/*----GPDIRI12 Tokens----*/
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI12_INPUT (0x00000000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDIRI12_OUTPUT (0x00000001u)


#define CSL_TIMER64P_GPDATGPDIR_GPDATO34_MASK (0x00000200u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATO34_SHIFT (0x00000009u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATO34_RESETVAL (0x00000000u)

#define CSL_TIMER64P_GPDATGPDIR_GPDATI34_MASK (0x00000100u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATI34_SHIFT (0x00000008u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATI34_RESETVAL (0x00000000u)


#define CSL_TIMER64P_GPDATGPDIR_GPDATO12_MASK (0x00000002u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATO12_SHIFT (0x00000001u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATO12_RESETVAL (0x00000000u)

#define CSL_TIMER64P_GPDATGPDIR_GPDATI12_MASK (0x00000001u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATI12_SHIFT (0x00000000u)
#define CSL_TIMER64P_GPDATGPDIR_GPDATI12_RESETVAL (0x00000000u)

#define CSL_TIMER64P_GPDATGPDIR_RESETVAL (0x00000000u)

/* TIM12 */

#define CSL_TIMER64P_TIM12_TIM2_MASK (0xFFFF0000u)
#define CSL_TIMER64P_TIM12_TIM2_SHIFT (0x00000010u)
#define CSL_TIMER64P_TIM12_TIM2_RESETVAL (0x00000000u)

#define CSL_TIMER64P_TIM12_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_TIM12_SHIFT (0x00000000u)

#define CSL_TIMER64P_TIM12_TIM1_MASK (0x0000FFFFu)
#define CSL_TIMER64P_TIM12_TIM1_SHIFT (0x00000000u)
#define CSL_TIMER64P_TIM12_TIM1_RESETVAL (0x00000000u)

#define CSL_TIMER64P_TIM12_RESETVAL (0x00000000u)

/* TIM34 */

#define CSL_TIMER64P_TIM34_TIM4_MASK (0xFFFF0000u)
#define CSL_TIMER64P_TIM34_TIM4_SHIFT (0x00000010u)
#define CSL_TIMER64P_TIM34_TIM4_RESETVAL (0x00000000u)

#define CSL_TIMER64P_TIM34_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_TIM34_SHIFT (0x00000000u)

#define CSL_TIMER64P_TIM34_TIM3_MASK (0x0000FFFFu)
#define CSL_TIMER64P_TIM34_TIM3_SHIFT (0x00000000u)
#define CSL_TIMER64P_TIM34_TIM3_RESETVAL (0x00000000u)

#define CSL_TIMER64P_TIM34_RESETVAL (0x00000000u)

/* PRD12 */

#define CSL_TIMER64P_PRD12_PRD2_MASK (0xFFFF0000u)
#define CSL_TIMER64P_PRD12_PRD2_SHIFT (0x00000010u)
#define CSL_TIMER64P_PRD12_PRD2_RESETVAL (0x00000000u)

#define CSL_TIMER64P_PRD12_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_PRD12_SHIFT (0x00000000u)

#define CSL_TIMER64P_PRD12_PRD1_MASK (0x0000FFFFu)
#define CSL_TIMER64P_PRD12_PRD1_SHIFT (0x00000000u)
#define CSL_TIMER64P_PRD12_PRD1_RESETVAL (0x00000000u)

#define CSL_TIMER64P_PRD12_RESETVAL (0x00000000u)

/* PRD34 */

#define CSL_TIMER64P_PRD34_PRD4_MASK (0xFFFF0000u)
#define CSL_TIMER64P_PRD34_PRD4_SHIFT (0x00000010u)
#define CSL_TIMER64P_PRD34_PRD4_RESETVAL (0x00000000u)

#define CSL_TIMER64P_PRD34_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_PRD34_SHIFT (0x00000000u)

#define CSL_TIMER64P_PRD34_PRD3_MASK (0x0000FFFFu)
#define CSL_TIMER64P_PRD34_PRD3_SHIFT (0x00000000u)
#define CSL_TIMER64P_PRD34_PRD3_RESETVAL (0x00000000u)

#define CSL_TIMER64P_PRD34_RESETVAL (0x00000000u)

/* TCR */


#define CSL_TIMER64P_TCR_CAPEVTMODE34_MASK (0x30000000u)
#define CSL_TIMER64P_TCR_CAPEVTMODE34_SHIFT (0x0000001Cu)
#define CSL_TIMER64P_TCR_CAPEVTMODE34_RESETVAL (0x00000000u)
/*----CAPEVTMODE34 Tokens----*/
#define CSL_TIMER64P_TCR_CAPEVTMODE34_RISE (0x00000000u)
#define CSL_TIMER64P_TCR_CAPEVTMODE34_FALL (0x00000001u)
#define CSL_TIMER64P_TCR_CAPEVTMODE34_BOTH (0x00000002u)

#define CSL_TIMER64P_TCR_CAPMODE34_MASK (0x08000000u)
#define CSL_TIMER64P_TCR_CAPMODE34_SHIFT (0x0000001Bu)
#define CSL_TIMER64P_TCR_CAPMODE34_RESETVAL (0x00000000u)
/*----CAPMODE34 Tokens----*/
#define CSL_TIMER64P_TCR_CAPMODE34_DISABLE (0x00000000u)
#define CSL_TIMER64P_TCR_CAPMODE34_ENABLE (0x00000001u)

#define CSL_TIMER64P_TCR_READRSTMODE34_MASK (0x04000000u)
#define CSL_TIMER64P_TCR_READRSTMODE34_SHIFT (0x0000001Au)
#define CSL_TIMER64P_TCR_READRSTMODE34_RESETVAL (0x00000000u)
/*----READRSTMODE34 Tokens----*/
#define CSL_TIMER64P_TCR_READRSTMODE34_CONTINUE (0x00000000u)
#define CSL_TIMER64P_TCR_READRSTMODE34_RESET (0x00000001u)

#define CSL_TIMER64P_TCR_TIEN34_MASK (0x02000000u)
#define CSL_TIMER64P_TCR_TIEN34_SHIFT (0x00000019u)
#define CSL_TIMER64P_TCR_TIEN34_RESETVAL (0x00000000u)
/*----TIEN34 Tokens----*/
#define CSL_TIMER64P_TCR_TIEN34_NOTGATED (0x00000000u)
#define CSL_TIMER64P_TCR_TIEN34_GATED (0x00000001u)

#define CSL_TIMER64P_TCR_CLKSRC34_MASK (0x01000000u)
#define CSL_TIMER64P_TCR_CLKSRC34_SHIFT (0x00000018u)
#define CSL_TIMER64P_TCR_CLKSRC34_RESETVAL (0x00000000u)
/*----CLKSRC34 Tokens----*/
#define CSL_TIMER64P_TCR_CLKSRC34_VBUS (0x00000000u)
#define CSL_TIMER64P_TCR_CLKSRC34_PIN (0x00000001u)

#define CSL_TIMER64P_TCR_ENAMODE34_MASK (0x00C00000u)
#define CSL_TIMER64P_TCR_ENAMODE34_SHIFT (0x00000016u)
#define CSL_TIMER64P_TCR_ENAMODE34_RESETVAL (0x00000000u)
/*----ENAMODE34 Tokens----*/
#define CSL_TIMER64P_TCR_ENAMODE34_DISABLED (0x00000000u)
#define CSL_TIMER64P_TCR_ENAMODE34_ONCE (0x00000001u)
#define CSL_TIMER64P_TCR_ENAMODE34_CONTRESET (0x00000002u)
#define CSL_TIMER64P_TCR_ENAMODE34_CONTRELOAD (0x00000003u)

#define CSL_TIMER64P_TCR_PWID34_MASK (0x00300000u)
#define CSL_TIMER64P_TCR_PWID34_SHIFT (0x00000014u)
#define CSL_TIMER64P_TCR_PWID34_RESETVAL (0x00000000u)
/*----PWID34 Tokens----*/
#define CSL_TIMER64P_TCR_PWID34_ONE (0x00000000u)
#define CSL_TIMER64P_TCR_PWID34_TWO (0x00000001u)
#define CSL_TIMER64P_TCR_PWID34_THREE (0x00000002u)
#define CSL_TIMER64P_TCR_PWID34_FOUR (0x00000003u)

#define CSL_TIMER64P_TCR_CP34_MASK (0x00080000u)
#define CSL_TIMER64P_TCR_CP34_SHIFT (0x00000013u)
#define CSL_TIMER64P_TCR_CP34_RESETVAL (0x00000000u)
/*----CP34 Tokens----*/
#define CSL_TIMER64P_TCR_CP34_PULSE (0x00000000u)
#define CSL_TIMER64P_TCR_CP34_CLOCK (0x00000001u)

#define CSL_TIMER64P_TCR_INVINP34_MASK (0x00040000u)
#define CSL_TIMER64P_TCR_INVINP34_SHIFT (0x00000012u)
#define CSL_TIMER64P_TCR_INVINP34_RESETVAL (0x00000000u)
/*----INVINP34 Tokens----*/
#define CSL_TIMER64P_TCR_INVINP34_NORMAL (0x00000000u)
#define CSL_TIMER64P_TCR_INVINP34_INVERT (0x00000001u)

#define CSL_TIMER64P_TCR_INVOUTP34_MASK (0x00020000u)
#define CSL_TIMER64P_TCR_INVOUTP34_SHIFT (0x00000011u)
#define CSL_TIMER64P_TCR_INVOUTP34_RESETVAL (0x00000000u)
/*----INVOUTP34 Tokens----*/
#define CSL_TIMER64P_TCR_INVOUTP34_NORMAL (0x00000000u)
#define CSL_TIMER64P_TCR_INVOUTP34_INVERT (0x00000001u)

#define CSL_TIMER64P_TCR_TSTAT34_MASK (0x00010000u)
#define CSL_TIMER64P_TCR_TSTAT34_SHIFT (0x00000010u)
#define CSL_TIMER64P_TCR_TSTAT34_RESETVAL (0x00000000u)


#define CSL_TIMER64P_TCR_CAPEVTMODE12_MASK (0x00003000u)
#define CSL_TIMER64P_TCR_CAPEVTMODE12_SHIFT (0x0000000Cu)
#define CSL_TIMER64P_TCR_CAPEVTMODE12_RESETVAL (0x00000000u)
/*----CAPEVTMODE12 Tokens----*/
#define CSL_TIMER64P_TCR_CAPEVTMODE12_RISE (0x00000000u)
#define CSL_TIMER64P_TCR_CAPEVTMODE12_FALL (0x00000001u)
#define CSL_TIMER64P_TCR_CAPEVTMODE12_BOTH (0x00000002u)

#define CSL_TIMER64P_TCR_CAPMODE12_MASK (0x00000800u)
#define CSL_TIMER64P_TCR_CAPMODE12_SHIFT (0x0000000Bu)
#define CSL_TIMER64P_TCR_CAPMODE12_RESETVAL (0x00000000u)
/*----CAPMODE12 Tokens----*/
#define CSL_TIMER64P_TCR_CAPMODE12_DISABLE (0x00000000u)
#define CSL_TIMER64P_TCR_CAPMODE12_ENABLE (0x00000001u)

#define CSL_TIMER64P_TCR_READRSTMODE12_MASK (0x00000400u)
#define CSL_TIMER64P_TCR_READRSTMODE12_SHIFT (0x0000000Au)
#define CSL_TIMER64P_TCR_READRSTMODE12_RESETVAL (0x00000000u)
/*----READRSTMODE12 Tokens----*/
#define CSL_TIMER64P_TCR_READRSTMODE12_CONTINUE (0x00000000u)
#define CSL_TIMER64P_TCR_READRSTMODE12_RESET (0x00000001u)

#define CSL_TIMER64P_TCR_TIEN12_MASK (0x00000200u)
#define CSL_TIMER64P_TCR_TIEN12_SHIFT (0x00000009u)
#define CSL_TIMER64P_TCR_TIEN12_RESETVAL (0x00000000u)
/*----TIEN12 Tokens----*/
#define CSL_TIMER64P_TCR_TIEN12_NOTGATED (0x00000000u)
#define CSL_TIMER64P_TCR_TIEN12_GATED (0x00000001u)

#define CSL_TIMER64P_TCR_CLKSRC12_MASK (0x00000100u)
#define CSL_TIMER64P_TCR_CLKSRC12_SHIFT (0x00000008u)
#define CSL_TIMER64P_TCR_CLKSRC12_RESETVAL (0x00000000u)
/*----CLKSRC12 Tokens----*/
#define CSL_TIMER64P_TCR_CLKSRC12_VBUS (0x00000000u)
#define CSL_TIMER64P_TCR_CLKSRC12_PIN (0x00000001u)

#define CSL_TIMER64P_TCR_ENAMODE12_MASK (0x000000C0u)
#define CSL_TIMER64P_TCR_ENAMODE12_SHIFT (0x00000006u)
#define CSL_TIMER64P_TCR_ENAMODE12_RESETVAL (0x00000000u)
/*----ENAMODE12 Tokens----*/
#define CSL_TIMER64P_TCR_ENAMODE12_DISABLED (0x00000000u)
#define CSL_TIMER64P_TCR_ENAMODE12_ONCE (0x00000001u)
#define CSL_TIMER64P_TCR_ENAMODE12_CONTRESET (0x00000002u)
#define CSL_TIMER64P_TCR_ENAMODE12_CONTRELOAD (0x00000003u)

#define CSL_TIMER64P_TCR_PWID12_MASK (0x00000030u)
#define CSL_TIMER64P_TCR_PWID12_SHIFT (0x00000004u)
#define CSL_TIMER64P_TCR_PWID12_RESETVAL (0x00000000u)
/*----PWID12 Tokens----*/
#define CSL_TIMER64P_TCR_PWID12_ONE (0x00000000u)
#define CSL_TIMER64P_TCR_PWID12_TWO (0x00000001u)
#define CSL_TIMER64P_TCR_PWID12_THREE (0x00000002u)
#define CSL_TIMER64P_TCR_PWID12_FOUR (0x00000003u)

#define CSL_TIMER64P_TCR_CP12_MASK (0x00000008u)
#define CSL_TIMER64P_TCR_CP12_SHIFT (0x00000003u)
#define CSL_TIMER64P_TCR_CP12_RESETVAL (0x00000000u)
/*----CP12 Tokens----*/
#define CSL_TIMER64P_TCR_CP12_PULSE (0x00000000u)
#define CSL_TIMER64P_TCR_CP12_CLOCK (0x00000001u)

#define CSL_TIMER64P_TCR_INVINP12_MASK (0x00000004u)
#define CSL_TIMER64P_TCR_INVINP12_SHIFT (0x00000002u)
#define CSL_TIMER64P_TCR_INVINP12_RESETVAL (0x00000000u)
/*----INVINP12 Tokens----*/
#define CSL_TIMER64P_TCR_INVINP12_NORMAL (0x00000000u)
#define CSL_TIMER64P_TCR_INVINP12_INVERT (0x00000001u)

#define CSL_TIMER64P_TCR_INVOUTP12_MASK (0x00000002u)
#define CSL_TIMER64P_TCR_INVOUTP12_SHIFT (0x00000001u)
#define CSL_TIMER64P_TCR_INVOUTP12_RESETVAL (0x00000000u)
/*----INVOUTP12 Tokens----*/
#define CSL_TIMER64P_TCR_INVOUTP12_NORMAL (0x00000000u)
#define CSL_TIMER64P_TCR_INVOUTP12_INVERT (0x00000001u)

#define CSL_TIMER64P_TCR_TSTAT12_MASK (0x00000001u)
#define CSL_TIMER64P_TCR_TSTAT12_SHIFT (0x00000000u)
#define CSL_TIMER64P_TCR_TSTAT12_RESETVAL (0x00000000u)

#define CSL_TIMER64P_TCR_RESETVAL (0x00000000u)

/* TGCR */


#define CSL_TIMER64P_TGCR_TDDR34_MASK (0x0000F000u)
#define CSL_TIMER64P_TGCR_TDDR34_SHIFT (0x0000000Cu)
#define CSL_TIMER64P_TGCR_TDDR34_RESETVAL (0x00000000u)

#define CSL_TIMER64P_TGCR_PSC34_MASK (0x00000F00u)
#define CSL_TIMER64P_TGCR_PSC34_SHIFT (0x00000008u)
#define CSL_TIMER64P_TGCR_PSC34_RESETVAL (0x00000000u)


#define CSL_TIMER64P_TGCR_BWCOMPATIBLE_MASK (0x00000010u)
#define CSL_TIMER64P_TGCR_BWCOMPATIBLE_SHIFT (0x00000004u)
#define CSL_TIMER64P_TGCR_BWCOMPATIBLE_RESETVAL (0x00000000u)
/*----BWCOMPATIBLE Tokens----*/
#define CSL_TIMER64P_TGCR_BWCOMPATIBLE_ENABLE (0x00000000u)
#define CSL_TIMER64P_TGCR_BWCOMPATIBLE_DISABLE (0x00000001u)

#define CSL_TIMER64P_TGCR_TIMMODE_MASK (0x0000000Cu)
#define CSL_TIMER64P_TGCR_TIMMODE_SHIFT (0x00000002u)
#define CSL_TIMER64P_TGCR_TIMMODE_RESETVAL (0x00000000u)
/*----TIMMODE Tokens----*/
#define CSL_TIMER64P_TGCR_TIMMODE_GPTIM (0x00000000u)
#define CSL_TIMER64P_TGCR_TIMMODE_DUAL (0x00000001u)
#define CSL_TIMER64P_TGCR_TIMMODE_WDTIM (0x0000000Au)
#define CSL_TIMER64P_TGCR_TIMMODE_CHAINED (0x0000000Bu)

#define CSL_TIMER64P_TGCR_TIM34RS_MASK (0x00000002u)
#define CSL_TIMER64P_TGCR_TIM34RS_SHIFT (0x00000001u)
#define CSL_TIMER64P_TGCR_TIM34RS_RESETVAL (0x00000000u)
/*----TIM34RS Tokens----*/
#define CSL_TIMER64P_TGCR_TIM34RS_INRESET (0x00000000u)
#define CSL_TIMER64P_TGCR_TIM34RS_NOTINRESET (0x00000001u)

#define CSL_TIMER64P_TGCR_TIM12RS_MASK (0x00000001u)
#define CSL_TIMER64P_TGCR_TIM12RS_SHIFT (0x00000000u)
#define CSL_TIMER64P_TGCR_TIM12RS_RESETVAL (0x00000000u)
/*----TIM12RS Tokens----*/
#define CSL_TIMER64P_TGCR_TIM12RS_INRESET (0x00000000u)
#define CSL_TIMER64P_TGCR_TIM12RS_NOTINRESET (0x00000001u)

#define CSL_TIMER64P_TGCR_RESETVAL (0x00000000u)

/* WDTCR */

#define CSL_TIMER64P_WDTCR_WDKEY_MASK (0xFFFF0000u)
#define CSL_TIMER64P_WDTCR_WDKEY_SHIFT (0x00000010u)
#define CSL_TIMER64P_WDTCR_WDKEY_RESETVAL (0x00000000u)
/*----WDKEY Tokens----*/
#define CSL_TIMER64P_WDTCR_WDKEY_KEY1 (0x0000A5C6u)
#define CSL_TIMER64P_WDTCR_WDKEY_KEY2 (0x0000DA7Eu)

#define CSL_TIMER64P_WDTCR_WDFLAG_MASK (0x00008000u)
#define CSL_TIMER64P_WDTCR_WDFLAG_SHIFT (0x0000000Fu)
#define CSL_TIMER64P_WDTCR_WDFLAG_RESETVAL (0x00000000u)
/*----WDFLAG Tokens----*/
#define CSL_TIMER64P_WDTCR_WDFLAG_NOTIMEOUT (0x00000000u)
#define CSL_TIMER64P_WDTCR_WDFLAG_TIMEOUT (0x00000001u)

#define CSL_TIMER64P_WDTCR_WDEN_MASK (0x00004000u)
#define CSL_TIMER64P_WDTCR_WDEN_SHIFT (0x0000000Eu)
#define CSL_TIMER64P_WDTCR_WDEN_RESETVAL (0x00000000u)
/*----WDEN Tokens----*/
#define CSL_TIMER64P_WDTCR_WDEN_DISABLE (0x00000000u)
#define CSL_TIMER64P_WDTCR_WDEN_ENABLE (0x00000001u)

#define CSL_TIMER64P_WDTCR_WDIKEY_MASK (0x00003000u)
#define CSL_TIMER64P_WDTCR_WDIKEY_SHIFT (0x0000000Cu)
#define CSL_TIMER64P_WDTCR_WDIKEY_RESETVAL (0x00000000u)
/*----WDIKEY Tokens----*/
#define CSL_TIMER64P_WDTCR_WDIKEY_KEY1 (0x00000001u)
#define CSL_TIMER64P_WDTCR_WDIKEY_KEY2 (0x00000002u)


#define CSL_TIMER64P_WDTCR_RESETVAL (0x00000000u)

/* TLGC */


#define CSL_TIMER64P_TLGC_ROH_MASK (0x00000800u)
#define CSL_TIMER64P_TLGC_ROH_SHIFT (0x0000000Bu)
#define CSL_TIMER64P_TLGC_ROH_RESETVAL (0x00000000u)
/*----ROH Tokens----*/
#define CSL_TIMER64P_TLGC_ROH_DISABLE (0x00000000u)
#define CSL_TIMER64P_TLGC_ROH_ENABLE (0x00000001u)


#define CSL_TIMER64P_TLGC_OBM_MASK (0x00000200u)
#define CSL_TIMER64P_TLGC_OBM_SHIFT (0x00000009u)
#define CSL_TIMER64P_TLGC_OBM_RESETVAL (0x00000001u)
/*----OBM Tokens----*/
#define CSL_TIMER64P_TLGC_OBM_GPIO (0x00000000u)
#define CSL_TIMER64P_TLGC_OBM_REGISTER (0x00000001u)

#define CSL_TIMER64P_TLGC_MMS_MASK (0x00000100u)
#define CSL_TIMER64P_TLGC_MMS_SHIFT (0x00000008u)
#define CSL_TIMER64P_TLGC_MMS_RESETVAL (0x00000000u)
/*----MMS Tokens----*/
#define CSL_TIMER64P_TLGC_MMS_OUTREG (0x00000000u)
#define CSL_TIMER64P_TLGC_MMS_INCAP (0x00000001u)

#define CSL_TIMER64P_TLGC_ESEL_MASK (0x00000080u)
#define CSL_TIMER64P_TLGC_ESEL_SHIFT (0x00000007u)
#define CSL_TIMER64P_TLGC_ESEL_RESETVAL (0x00000001u)
/*----ESEL Tokens----*/
#define CSL_TIMER64P_TLGC_ESEL_TESTMODE (0x00000000u)
#define CSL_TIMER64P_TLGC_ESEL_NORMAL (0x00000001u)

#define CSL_TIMER64P_TLGC_TOEN_MASK (0x00000040u)
#define CSL_TIMER64P_TLGC_TOEN_SHIFT (0x00000006u)
#define CSL_TIMER64P_TLGC_TOEN_RESETVAL (0x00000000u)
/*----TOEN Tokens----*/
#define CSL_TIMER64P_TLGC_TOEN_ENABLE (0x00000000u)
#define CSL_TIMER64P_TLGC_TOEN_DISABLE (0x00000001u)

#define CSL_TIMER64P_TLGC_MC_MASK (0x00000030u)
#define CSL_TIMER64P_TLGC_MC_SHIFT (0x00000004u)
#define CSL_TIMER64P_TLGC_MC_RESETVAL (0x00000001u)
/*----MC Tokens----*/
#define CSL_TIMER64P_TLGC_MC_DOWNLOAD (0x00000000u)
#define CSL_TIMER64P_TLGC_MC_HOLD (0x00000001u)
#define CSL_TIMER64P_TLGC_MC_LOAD (0x00000002u)
#define CSL_TIMER64P_TLGC_MC_ENABLE (0x00000003u)

#define CSL_TIMER64P_TLGC_PC_MASK (0x0000000Eu)
#define CSL_TIMER64P_TLGC_PC_SHIFT (0x00000001u)
#define CSL_TIMER64P_TLGC_PC_RESETVAL (0x00000000u)
/*----PC Tokens----*/
#define CSL_TIMER64P_TLGC_PC_FUNCTIONAL (0x00000000u)
#define CSL_TIMER64P_TLGC_PC_RANDXOR (0x00000001u)
#define CSL_TIMER64P_TLGC_PC_RANDXNOR (0x00000002u)
#define CSL_TIMER64P_TLGC_PC_4BITSHIFT (0x00000003u)


#define CSL_TIMER64P_TLGC_RESETVAL (0x00000290u)

/* TLMR */


#define CSL_TIMER64P_TLMR_TLMR_MASK (0x0000000Fu)
#define CSL_TIMER64P_TLMR_TLMR_SHIFT (0x00000000u)
#define CSL_TIMER64P_TLMR_TLMR_RESETVAL (0x00000000u)

#define CSL_TIMER64P_TLMR_RESETVAL (0x00000000u)

/* REL12 */

#define CSL_TIMER64P_REL12_REL2_MASK (0xFFFF0000u)
#define CSL_TIMER64P_REL12_REL2_SHIFT (0x00000010u)
#define CSL_TIMER64P_REL12_REL2_RESETVAL (0x00000000u)

#define CSL_TIMER64P_REL12_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_REL12_SHIFT (0x00000000u)

#define CSL_TIMER64P_REL12_REL1_MASK (0x0000FFFFu)
#define CSL_TIMER64P_REL12_REL1_SHIFT (0x00000000u)
#define CSL_TIMER64P_REL12_REL1_RESETVAL (0x00000000u)

#define CSL_TIMER64P_REL12_RESETVAL (0x00000000u)

/* REL34 */

#define CSL_TIMER64P_REL34_REL4_MASK (0xFFFF0000u)
#define CSL_TIMER64P_REL34_REL4_SHIFT (0x00000010u)
#define CSL_TIMER64P_REL34_REL4_RESETVAL (0x00000000u)

#define CSL_TIMER64P_REL34_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_REL34_SHIFT (0x00000000u)

#define CSL_TIMER64P_REL34_REL3_MASK (0x0000FFFFu)
#define CSL_TIMER64P_REL34_REL3_SHIFT (0x00000000u)
#define CSL_TIMER64P_REL34_REL3_RESETVAL (0x00000000u)

#define CSL_TIMER64P_REL34_RESETVAL (0x00000000u)

/* CAP12 */

#define CSL_TIMER64P_CAP12_CAP2_MASK (0xFFFF0000u)
#define CSL_TIMER64P_CAP12_CAP2_SHIFT (0x00000010u)
#define CSL_TIMER64P_CAP12_CAP2_RESETVAL (0x00000000u)

#define CSL_TIMER64P_CAP12_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CAP12_SHIFT (0x00000000u)

#define CSL_TIMER64P_CAP12_CAP1_MASK (0x0000FFFFu)
#define CSL_TIMER64P_CAP12_CAP1_SHIFT (0x00000000u)
#define CSL_TIMER64P_CAP12_CAP1_RESETVAL (0x00000000u)

#define CSL_TIMER64P_CAP12_RESETVAL (0x00000000u)

/* CAP34 */

#define CSL_TIMER64P_CAP34_CAP4_MASK (0xFFFF0000u)
#define CSL_TIMER64P_CAP34_CAP4_SHIFT (0x00000010u)
#define CSL_TIMER64P_CAP34_CAP4_RESETVAL (0x00000000u)

#define CSL_TIMER64P_CAP34_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CAP34_SHIFT (0x00000000u)

#define CSL_TIMER64P_CAP34_CAP3_MASK (0x0000FFFFu)
#define CSL_TIMER64P_CAP34_CAP3_SHIFT (0x00000000u)
#define CSL_TIMER64P_CAP34_CAP3_RESETVAL (0x00000000u)

#define CSL_TIMER64P_CAP34_RESETVAL (0x00000000u)

/* INTCTLSTAT */

#define CSL_TIMER64P_INTCTLSTAT_SET34_MASK (0x80000000u)
#define CSL_TIMER64P_INTCTLSTAT_SET34_SHIFT (0x0000001Fu)
#define CSL_TIMER64P_INTCTLSTAT_SET34_RESETVAL (0x00000000u)

#define CSL_TIMER64P_INTCTLSTAT_EVAL34_MASK (0x40000000u)
#define CSL_TIMER64P_INTCTLSTAT_EVAL34_SHIFT (0x0000001Eu)
#define CSL_TIMER64P_INTCTLSTAT_EVAL34_RESETVAL (0x00000000u)


#define CSL_TIMER64P_INTCTLSTAT_EVTINTSTAT34_MASK (0x00080000u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTSTAT34_SHIFT (0x00000013u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTSTAT34_RESETVAL (0x00000000u)

#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN34_MASK (0x00040000u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN34_SHIFT (0x00000012u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN34_RESETVAL (0x00000000u)
/*----EVTINTEN34 Tokens----*/
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN34_DISABLE (0x00000000u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN34_ENABLE (0x00000001u)

#define CSL_TIMER64P_INTCTLSTAT_CMPINTSTAT34_MASK (0x00020000u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTSTAT34_SHIFT (0x00000011u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTSTAT34_RESETVAL (0x00000000u)

#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN34_MASK (0x00010000u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN34_SHIFT (0x00000010u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN34_RESETVAL (0x00000000u)
/*----CMPINTEN34 Tokens----*/
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN34_DISABLE (0x00000000u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN34_ENABLE (0x00000001u)

#define CSL_TIMER64P_INTCTLSTAT_SET12_MASK (0x00008000u)
#define CSL_TIMER64P_INTCTLSTAT_SET12_SHIFT (0x0000000Fu)
#define CSL_TIMER64P_INTCTLSTAT_SET12_RESETVAL (0x00000000u)

#define CSL_TIMER64P_INTCTLSTAT_EVAL12_MASK (0x00004000u)
#define CSL_TIMER64P_INTCTLSTAT_EVAL12_SHIFT (0x0000000Eu)
#define CSL_TIMER64P_INTCTLSTAT_EVAL12_RESETVAL (0x00000000u)


#define CSL_TIMER64P_INTCTLSTAT_EVTINTSTAT12_MASK (0x00000008u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTSTAT12_SHIFT (0x00000003u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTSTAT12_RESETVAL (0x00000000u)

#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN12_MASK (0x00000004u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN12_SHIFT (0x00000002u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN12_RESETVAL (0x00000000u)
/*----EVTINTEN12 Tokens----*/
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN12_DISABLE (0x00000000u)
#define CSL_TIMER64P_INTCTLSTAT_EVTINTEN12_ENABLE (0x00000001u)

#define CSL_TIMER64P_INTCTLSTAT_CMPINTSTAT12_MASK (0x00000002u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTSTAT12_SHIFT (0x00000001u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTSTAT12_RESETVAL (0x00000000u)

#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN12_MASK (0x00000001u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN12_SHIFT (0x00000000u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN12_RESETVAL (0x00000000u)
/*----CMPINTEN12 Tokens----*/
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN12_DISABLE (0x00000000u)
#define CSL_TIMER64P_INTCTLSTAT_CMPINTEN12_ENABLE (0x00000001u)

#define CSL_TIMER64P_INTCTLSTAT_RESETVAL (0x00000000u)

/* CMP0 */

#define CSL_TIMER64P_CMP0_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP0_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP0_RESETVAL (0xFFFFFFFFu)

/* CMP1 */

#define CSL_TIMER64P_CMP1_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP1_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP1_RESETVAL (0xFFFFFFFFu)

/* CMP2 */

#define CSL_TIMER64P_CMP2_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP2_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP2_RESETVAL (0xFFFFFFFFu)

/* CMP3 */

#define CSL_TIMER64P_CMP3_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP3_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP3_RESETVAL (0xFFFFFFFFu)

/* CMP4 */

#define CSL_TIMER64P_CMP4_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP4_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP4_RESETVAL (0xFFFFFFFFu)

/* CMP5 */

#define CSL_TIMER64P_CMP5_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP5_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP5_RESETVAL (0xFFFFFFFFu)

/* CMP6 */

#define CSL_TIMER64P_CMP6_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP6_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP6_RESETVAL (0xFFFFFFFFu)

/* CMP7 */

#define CSL_TIMER64P_CMP7_MASK (0xFFFFFFFFu)
#define CSL_TIMER64P_CMP7_SHIFT (0x00000000u)
#define CSL_TIMER64P_CMP7_RESETVAL (0xFFFFFFFFu)

#endif
